<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My calculator</title>
    <link rel="stylesheet" href="/mycalculator.css">
<style>

</style>

</head>
<body>
    <div id="calculator"></div>

    <div class="bg">
    <button class="btn" onclick="sum()">+</button>
    <button class="btn"  onclick="mul()">x</button>
    <button class="btn"  onclick="sub()">-</button>
    <button class="btn"  onclick="div()">/</button>
    <button class="btn"  onclick="percent()">%</button>
    <button class="btn"  onclick="square()">2</button>
  

  
    <input type="number" placeholder="Value1" id="value1"  />
    <input type="number" placeholder="Value2" id="value2"/>
   </div>
    
   

    <script>
        
        function sum(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x + y;

         
           document.getElementById("calculator").innerHTML = a;
     }

     
     function mul(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x * y;

         
           document.getElementById("calculator").innerHTML = a;
     }



     function sub(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x - y;

         
           document.getElementById("calculator").innerHTML = a;
     }


     function div(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x / y;

         
           document.getElementById("calculator").innerHTML = a;
     }

     
     function percent(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x % y;

         
           document.getElementById("calculator").innerHTML = a;
     }

    
     function square(){
        let x =parseInt(document.getElementById("value1").value);
        console.log(x);

        let y =parseInt(document.getElementById("value2").value);
        console.log(y);

        var a = x**y;

         
           document.getElementById("calculator").innerHTML = a;
     }



       

     


    </script>
</body>
</html>